﻿<%@ Page Language="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>GridViewコントロール</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" DataKeyNames="isbn"
            DataSourceID="sds" AllowPaging="True" AllowSorting="True" CellPadding="4" ForeColor="#333333" GridLines="None">
            <Columns>
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
                <asp:BoundField DataField="isbn" HeaderText="isbn" ReadOnly="True" SortExpression="isbn" />
                <asp:BoundField DataField="title" HeaderText="title" SortExpression="title" />
                <asp:BoundField DataField="price" HeaderText="price" SortExpression="price" />
                <asp:BoundField DataField="publish" HeaderText="publish" SortExpression="publish" />
                <asp:BoundField DataField="publishDate" HeaderText="publishDate" SortExpression="publishDate" />
            </Columns>
            <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <RowStyle BackColor="#E3EAEB" />
            <EditRowStyle BackColor="#7C6F57" />
            <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
            <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
            <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
        </asp:GridView>
        <asp:SqlDataSource ID="sds" runat="server" ConnectionString="<%$ ConnectionStrings:myDb %>"
            SelectCommand="SELECT [isbn], [title], [price], [publish], [publishDate] FROM [books]" ConflictDetection="CompareAllValues" DeleteCommand="DELETE FROM [books] WHERE [isbn] = @original_isbn AND [title] = @original_title AND [price] = @original_price AND [publish] = @original_publish AND [publishDate] = @original_publishDate" InsertCommand="INSERT INTO [books] ([isbn], [title], [price], [publish], [publishDate]) VALUES (@isbn, @title, @price, @publish, @publishDate)" OldValuesParameterFormatString="original_{0}" UpdateCommand="UPDATE [books] SET [title] = @title, [price] = @price, [publish] = @publish, [publishDate] = @publishDate WHERE [isbn] = @original_isbn AND [title] = @original_title AND [price] = @original_price AND [publish] = @original_publish AND [publishDate] = @original_publishDate">
            <DeleteParameters>
                <asp:Parameter Name="original_isbn" Type="String" />
                <asp:Parameter Name="original_title" Type="String" />
                <asp:Parameter Name="original_price" Type="Int32" />
                <asp:Parameter Name="original_publish" Type="String" />
                <asp:Parameter Name="original_publishDate" Type="DateTime" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="title" Type="String" />
                <asp:Parameter Name="price" Type="Int32" />
                <asp:Parameter Name="publish" Type="String" />
                <asp:Parameter Name="publishDate" Type="DateTime" />
                <asp:Parameter Name="original_isbn" Type="String" />
                <asp:Parameter Name="original_title" Type="String" />
                <asp:Parameter Name="original_price" Type="Int32" />
                <asp:Parameter Name="original_publish" Type="String" />
                <asp:Parameter Name="original_publishDate" Type="DateTime" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="isbn" Type="String" />
                <asp:Parameter Name="title" Type="String" />
                <asp:Parameter Name="price" Type="Int32" />
                <asp:Parameter Name="publish" Type="String" />
                <asp:Parameter Name="publishDate" Type="DateTime" />
            </InsertParameters>
        </asp:SqlDataSource>
    
    </div>
    </form>
</body>
</html>
